package com.example.onetap_ssh.ui.tabs;

public class ListItemSingle extends ListItem{
    String buttonName;
    String command;
    String name;

    public ListItemSingle(String name,String command,String buttonName ) {
        super(ListAdapter.SINGLEBUTTON);
        this.name = name;
        this.buttonName = buttonName;
        this.command = command;

    }

    public void setName(String name)
    {
        this.name = name;
    }
    public void setButtonName(String buttonName)
    {
        this.buttonName = buttonName;
    }
    public void setCommand(String command)
    {
        this.command = command;
    }
    @Override
    public String[] getStrings() {
        String[] s = {name, command, buttonName};
        return s;
    }
}
